Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.exchange
Class Attachment

    java.lang.Object
      com.compoze.exchange.AbstractItem
          com.compoze.exchange.Attachment

All Implemented Interfaces:
  java.io.Serializable

public class Attachment
extends AbstractItem

This class represents an attachment on a message.

See Also:
  Serialized Form

Field Summary
`static PropertyKey[]` | `ALL_PROPS` Contains an array of all the properties available for an attachment.

Fields inherited from class com.compoze.exchange.AbstractItem
`m_props, m_session`

Method Summary
`java.lang.String` | `getContentID()` Gets the content id of the attachment.
`java.util.Date` | `getDateCreated()` Gets the date the attachment was added to the message.
`java.lang.String` | `getDisplayName()` Gets the display name of the attachment.
`java.lang.String` | `getExtension()` Gets the extension of the attachment.
`int` | `getIndex()` Gets the index of the attachment.
`java.lang.String` | `getLongName()` Gets the long file name of the attachment.
`java.lang.String` | `getMimeTag()` Gets the MIME tag of the attachment type.
`java.lang.String` | `getName()` Gets the name of the attachment.
`int` | `getPosition()` Gets the position index of the attachment.
`int` | `getRenderingPosition()` Gets the rendering position of this attachment.
`int` | `getSize()` Gets the size, in bytes, of the attachment.
`AttachmentType` | `getType()` Gets the type of attachment.
`javax.activation.DataHandler` | `serverGetAttachmentContent()` Gets the attachment data from the server.
`void` | `serverUpdate()` This method is not supported.

Methods inherited from class com.compoze.exchange.AbstractItem
`get, getBoolean, getByteArray, getDate, getDouble, getInt, getInvalidPropertyValues, getPropertyKeys, getString, getStringArray, getUpdatedPropertyValues, set, setBoolean, setByteArray, setDate, setDouble, setInt, setString, setStringArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALL_PROPS

    public static PropertyKey[] ALL_PROPS

  Contains an array of all the properties available for an attachment. This can be used when specifying property keys to retrieve, but it is recommended practice to specify only the minimum keys required to minimize the network load.

Method Detail

### getIndex

    public int getIndex()
                 throws ExchangeException

  Gets the index of the attachment.

  Throws:
    `ExchangeException`

### getName

    public java.lang.String getName()
                             throws ExchangeException

  Gets the name of the attachment.

  Throws:
    `ExchangeException`

### getPosition

    public int getPosition()
                    throws ExchangeException

  Gets the position index of the attachment.

  Throws:
    `ExchangeException`

### getType

    public AttachmentType getType()
                           throws ExchangeException

  Gets the type of attachment.

  Throws:
    `ExchangeException`
  See Also:
    `AttachmentType`

### getExtension

    public java.lang.String getExtension()
                                  throws ExchangeException

  Gets the extension of the attachment.

  Returns:
    the extension or `null` if not available
  Throws:
    `ExchangeException`

### getLongName

    public java.lang.String getLongName()
                                 throws ExchangeException

  Gets the long file name of the attachment.

  Throws:
    `ExchangeException`

### getSize

    public int getSize()
                throws ExchangeException

  Gets the size, in bytes, of the attachment.

  Throws:
    `ExchangeException`

### getDateCreated

    public java.util.Date getDateCreated()
                                  throws ExchangeException

  Gets the date the attachment was added to the message.

  Throws:
    `ExchangeException`

### getDisplayName

    public java.lang.String getDisplayName()
                                    throws ExchangeException

  Gets the display name of the attachment.

  Throws:
    `ExchangeException`

### getContentID

    public java.lang.String getContentID()
                                  throws ExchangeException

  Gets the content id of the attachment. This id is a unique identifier to an attachment that is used in "inline" attachments (eg images).

  Returns:
    The content id, or `null` if not specified.
  Throws:
    `ExchangeException`

### getMimeTag

    public java.lang.String getMimeTag()
                                throws ExchangeException

  Gets the MIME tag of the attachment type.

  Returns:
    the mime tag of the attachment, or `null` if not available.
  Throws:
    `ExchangeException`

### getRenderingPosition

    public int getRenderingPosition()
                             throws ExchangeException

  Gets the rendering position of this attachment. Typically used in RTF as RTF doesn't have the concept of an "inline" attachment.

  Throws:
    `ExchangeException`

### serverGetAttachmentContent

    public javax.activation.DataHandler serverGetAttachmentContent()
                                                            throws ExchangeException

  Gets the attachment data from the server.

  Throws:
    `ExchangeException`

### serverUpdate

    public void serverUpdate()
                      throws ExchangeException

  This method is not supported.

  Specified by:
    `serverUpdate` in class `AbstractItem`
  Throws:
    `ExchangeException` - this method always throws the Exception; this is an unsupported operation.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.